import React, { CSSProperties, ReactNode } from 'react';
import { TransitionName } from 'react-transition-preset/types';

interface Options {
    duration?: number;
    onClosed?: () => void;
    transition?: TransitionName | {
        name?: TransitionName;
        duration?: number;
        exitDuration?: number;
    };
    pauseOnHover?: boolean;
    className?: string;
    style?: CSSProperties;
    maxCount?: number;
    gap?: number;
    render?: (children: ReactNode) => ReactNode;
}
interface ToastOptions extends Options {
    content: ReactNode;
    key?: string;
}
interface ToastUpdateOptions extends Options {
    content?: ReactNode;
}

declare class Toast {
    private defaultOptions;
    private toastQueue;
    constructor();
    open(options: ToastOptions | React.ReactNode): void;
    close(key: string): void;
    closeAll(): void;
    update(key: string, options: ToastUpdateOptions): void;
    setDefaultOptions(options: Options): void;
}
declare const toast: Toast;

export { type Options, type ToastOptions, type ToastUpdateOptions, toast };
