import { CSSProperties, ReactNode } from 'react';
import { TransitionName } from 'react-transition-preset/types';

interface Options {
    duration?: number;
    onClosed?: () => void;
    transition?: TransitionName | {
        name?: TransitionName;
        duration?: number;
        exitDuration?: number;
    };
    pauseOnHover?: boolean;
    className?: string;
    style?: CSSProperties;
    maxCount?: number;
    gap?: number;
    render?: (children: ReactNode) => ReactNode;
}
interface ToastOptions extends Options {
    content: ReactNode;
    key?: string;
}
interface ToastUpdateOptions extends Options {
    content?: ReactNode;
}
interface InternalToastOptions extends Omit<ToastOptions, 'content'> {
    open?: boolean;
    height?: number;
    content?: ReactNode;
    updateFlag?: boolean;
}

export type { InternalToastOptions, Options, ToastOptions, ToastUpdateOptions };
